Loading...
Searching...
No Matches
stdex::no_delete< T[]> Struct Template Reference

Noop array deleter. More...

`#include <stdex/memory.hpp>`

## Public Member Functions

template<class _Uty , std::enable_if_t< std::is_convertible_v< _Uty(*)[], T(*)[]>, int > = 0>
| no_delete (const no_delete< _Uty[]> &) noexcept
template<class _Uty , std::enable_if_t< std::is_convertible_v< _Uty(*)[], T(*)[]>, int > = 0>
void | operator() (_Uty *p) const noexcept

## Detailed Description

template<class T>
struct stdex::no_delete< T[]>

Noop array deleter.

The documentation for this struct was generated from the following file:

- include/stdex/memory.hpp